> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-authenticate Account (/api-reference/fansly/connect-fansly-account/re-authenticate-account)

Trigger re-authentication for an existing Fansly account without re-submitting the username & password. Uses the credentials stored when the account was first connected.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-fansly-docs/openapi.yaml post /api/fansly/authenticate/{fanslyAccount}/reauthenticate
openapi: 3.0.3
info:
  title: Fansly API Documentation
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: Account
    description: Endpoints for your linked Fansly accounts
  - name: Chats
    description: Endpoints for Fansly chats (messaging groups)
  - name: Connect Fansly Account
    description: ""
  - name: Earnings
    description: Endpoints for Fansly Earnings — wallets, balances, transactions,
      payouts, and statements.
  - name: Followers
    description: Endpoints for Fansly followers.
  - name: Lists
    description: Endpoints for Fansly subscriber/fan lists (e.g. "VIP", "Spenders").
  - name: Profile Statistics
    description: Endpoints for Fansly Profile Statistics (viewer engagement insights).
  - name: Subscribers
    description: Endpoints for Fansly subscribers and subscription tiers.
  - name: Top Supporters
    description: Endpoints for the Fansly "Top Supporters" view — see who spends the
      most and what they spend on.
  - name: Tracking Links
    description: Endpoints for Fansly tracking links — per-source attribution links
      (e.g. "Twitter bio", "FYP", "Search").
  - name: Users
    description: APIs for fetching Fansly users
paths:
  /api/fansly/authenticate/{fanslyAccount}/reauthenticate:
    parameters:
      - in: path
        name: fanslyAccount
        description: The Fansly account ID
        example: fansly_acct_XXXXXXX
        required: true
        schema:
          type: string
    post:
      summary: Re-authenticate Account
      operationId: reAuthenticateAccount
      description: Trigger re-authentication for an existing Fansly account without
        re-submitting the username & password. Uses the credentials stored when
        the account was first connected.
      parameters: []
      responses:
        "200":
          description: Re-authentication started
          content:
            application/json:
              schema:
                type: object
                example:
                  success: true
                  message: Re-authentication started.
                  polling_url: https://api.example.com/api/fansly/authenticate/fansly_acct_123
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Re-authentication started.
                  polling_url:
                    type: string
                    example: https://api.example.com/api/fansly/authenticate/fansly_acct_123
        "400":
          description: When re-authentication is not possible
          content:
            application/json:
              schema:
                type: object
                example:
                  message: Can't re-authenticate account at this time.
                  reason: Account is already successfully authenticated
                properties:
                  message:
                    type: string
                    example: Can't re-authenticate account at this time.
                  reason:
                    type: string
                    example: Account is already successfully authenticated
      tags:
        - Connect Fansly Account
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````